Use this resource to retrieve the version manifest that Ops Manager is configured to use.
Your Ops Manager instance might not return MongoDB's most recent version manifest. Instances with limited Internet access might have this issue.
Warning
Don't change any values in the JSON file. The parameters and values in this file -- as well as how they are structured -- can change without notice.
Required Roles
You can successfully call this endpoint without having an API key or assigned roles in any organization or project.
Resource
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /unauth/versionManifestRequest Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
The following query parameters are optional:
Name | Type | Description | Default |
|---|---|---|---|
| boolean | Indicates whether the response body should be in a prettyprint format. |
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
These values may change at any time without notice. They remain compatible with Ops Manager.
Example Request
curl --include --header "Accept: application/json" \ --request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/unauth/versionManifest?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
Ops Manager returns the version manifest that it is configured to use.
The parameters and values in this file -- as well as how they are structured -- can change without notice.